BEGIN ~GEOFFRP~

IF WEIGHT #0 ~Global("CDBLITE_MET","LOCALS",0) GlobalGT("ENDOFBG1","GLOBAL",0) IsGabber(PLAYER1)~ THEN BEGIN 0
  SAY @13
  IF ~~ THEN REPLY @2 DO ~SetGlobal("CDBLITE_MET","LOCALS",1) JoinParty()~ EXIT
  IF ~~ THEN REPLY @3 DO ~SetGlobal("CDBLITE_MET","LOCALS",1) SetGlobal("CDBLITE_WAITING","LOCALS",1) MoveToPoint([679.676])~ EXIT
END

IF WEIGHT #0 ~Global("CDBLITE_MET","LOCALS",0) !GlobalGT("ENDOFBG1","GLOBAL",0) IsGabber(PLAYER1)~ THEN BEGIN 2
  SAY @1
  IF ~~ THEN REPLY @2 DO ~SetGlobal("CDBLITE_MET","LOCALS",1) JoinParty()~ EXIT
  IF ~~ THEN REPLY @11 GOTO 1
  IF ~~ THEN REPLY @3 DO ~SetGlobal("CDBLITE_MET","LOCALS",1) SetGlobal("CDBLITE_WAITING","LOCALS",1) MoveToPoint([679.676])~ EXIT
END

IF ~~ THEN BEGIN 1
  SAY @12
  IF ~~ THEN REPLY @2 DO ~SetGlobal("CDBLITE_MET","LOCALS",1) JoinParty()~ EXIT
  IF ~~ THEN REPLY @3 DO ~SetGlobal("CDBLITE_MET","LOCALS",1) SetGlobal("CDBLITE_WAITING","LOCALS",1) MoveToPoint([679.676])~ EXIT
END

IF WEIGHT #0 ~Global("CDBLITE_WAITING","LOCALS",1)~ THEN BEGIN 3
  SAY @4
  IF ~~ THEN REPLY @5 DO ~SetGlobal("CDBLITE_WAITING","LOCALS",0) JoinParty()~ EXIT
  IF ~~ THEN REPLY @3 DO ~MoveToPoint([679.676])~ EXIT
END

IF WEIGHT #0 ~Global("CDBLITE_MET","LOCALS",1) Global("CDBLITE_WAITING","LOCALS",0) !InParty(Myself)~ THEN BEGIN 4
  SAY @6
  IF ~~ THEN REPLY @3 DO ~SetGlobal("CDBLITE_WAITING","LOCALS",1) MoveToPoint([679.676])~ EXIT
END
